For AI agents: a documentation index is available at /llms.txt. Markdown versions of all pages are available by appending .md to any URL.
Type Alias LoadGeoJSONParameters
LoadGeoJSONParameters: GeoJSONWorkerOptions & {
data?: GeoJSON;
dataDiff?: GeoJSONSourceDiff;
request?: RequestParameters;
type: "geojson";
updateCluster?: boolean;
}
data?: GeoJSON;
dataDiff?: GeoJSONSourceDiff;
request?: RequestParameters;
type: "geojson";
updateCluster?: boolean;
}
Type Declaration
-
Optionaldata?: GeoJSON -
OptionaldataDiff?: GeoJSONSourceDiffGeoJSONSourceDiff to apply to the existing GeoJSON source data.
-
Optionalrequest?: RequestParametersRequest parameters including a URL to fetch GeoJSON data.
-
type: "geojson"
-
OptionalupdateCluster?: booleanUpdate the supercluster using the latest worker cluster options.
GeoJSON data to set as the source's data.